package com.joyful.euphoria.board.assistant;



import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;

public class ResponseConfigAssistant {
    private String version;
    private String supportLayouts;
    private int hideHint;
    private String layoutStyle;
    private List<ResponseLayoutAssistant> layouts = new ArrayList<>();
    private List<KeyboardKeyModelAssistant> keyboardKeyModelAssistantList = new ArrayList<>();
    private LinkedHashMap<String, String> maps = new LinkedHashMap<>();
    private String KeyDefault;
    private String KeyMarkDefault;
    private String KeyFuncDefault;
    private String KeyShift;
    private String KeyDelete;
    private String KeyAlphaSymbol;
    private String KeyEmoji;
    private String KeyMark;
    private String KeySpace;
    private String KeyEnter;

    // Getters and Setters
    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getSupportLayouts() {
        return supportLayouts;
    }

    public void setSupportLayouts(String supportLayouts) {
        this.supportLayouts = supportLayouts;
    }

    public int getHideHint() {
        return hideHint;
    }

    public void setHideHint(int hideHint) {
        this.hideHint = hideHint;
    }

    public String getLayoutStyle() {
        return layoutStyle;
    }

    public void setLayoutStyle(String layoutStyle) {
        this.layoutStyle = layoutStyle;
    }

    public List<ResponseLayoutAssistant> getLayouts() {
        return layouts;
    }

    public void addLayout(ResponseLayoutAssistant layout) {
        this.layouts.add(layout);
    }

    public List<KeyboardKeyModelAssistant> getKeyList() {
        return keyboardKeyModelAssistantList;
    }

    public KeyboardKeyModelAssistant getLastKeyList() {
        return keyboardKeyModelAssistantList.isEmpty() ? null : keyboardKeyModelAssistantList.get(keyboardKeyModelAssistantList.size() - 1);
    }

    public void addKey(KeyboardKeyModelAssistant keyboardKeyModelAssistant) {
        this.keyboardKeyModelAssistantList.add(keyboardKeyModelAssistant);
    }

    public LinkedHashMap<String, String> getMaps() {
        return maps;
    }

    public void setMaps(LinkedHashMap<String, String> maps) {
        this.maps = maps;
    }

    public String getKeyDefault() {
        return KeyDefault;
    }

    public void setKeyDefault(String keyDefault) {
        KeyDefault = keyDefault;
    }

    public String getKeyMarkDefault() {
        return KeyMarkDefault;
    }

    public void setKeyMarkDefault(String keyMarkDefault) {
        KeyMarkDefault = keyMarkDefault;
    }

    public String getKeyFuncDefault() {
        return KeyFuncDefault;
    }

    public void setKeyFuncDefault(String keyFuncDefault) {
        KeyFuncDefault = keyFuncDefault;
    }

    public String getKeyShift() {
        return KeyShift;
    }

    public void setKeyShift(String keyShift) {
        KeyShift = keyShift;
    }

    public String getKeyDelete() {
        return KeyDelete;
    }

    public void setKeyDelete(String keyDelete) {
        KeyDelete = keyDelete;
    }

    public String getKeyAlphaSymbol() {
        return KeyAlphaSymbol;
    }

    public void setKeyAlphaSymbol(String keyAlphaSymbol) {
        KeyAlphaSymbol = keyAlphaSymbol;
    }

    public String getKeyEmoji() {
        return KeyEmoji;
    }

    public void setKeyEmoji(String keyEmoji) {
        KeyEmoji = keyEmoji;
    }

    public String getKeyMark() {
        return KeyMark;
    }

    public void setKeyMark(String keyMark) {
        KeyMark = keyMark;
    }

    public String getKeySpace() {
        return KeySpace;
    }

    public void setKeySpace(String keySpace) {
        KeySpace = keySpace;
    }

    public String getKeyEnter() {
        return KeyEnter;
    }

    public void setKeyEnter(String keyEnter) {
        KeyEnter = keyEnter;
    }
}
